Bug 147797 - [patch] textproc/mdocml: inherit port's PREFIX
Summary: [patch] textproc/mdocml: inherit port's PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ulrich Spörlein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-11 21:10 UTC by swell.k
Modified: 2010-06-14 09:27 UTC (History)
0 users

See Also:


Attachments
a.diff (533 bytes, patch)
2010-06-11 21:10 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-06-11 21:10:05 UTC
Distfile doesn't respect PREFIX in make.conf.

Fix: Workaround: define PREFIX on command line
How-To-Repeat: define PREFIX and/or LOCALBASE in make.conf

  $ make install
  ...
  ===>  Checking if textproc/mdocml already installed
  mkdir -p /usr/local/bin
  mkdir -p /usr/local/share/examples/mandoc
  mkdir -p /usr/local/man/man1
  mkdir -p /usr/local/man/man7
  install -m 0755 mandoc /usr/local/bin
  install -m 0444 mandoc.1 /usr/local/man/man1
  install -m 0444 man.7 mdoc.7 roff.7 mandoc_char.7 /usr/local/man/man7
  install -m 0444 example.style.css /usr/local/share/examples/mandoc
  ===>   Compressing manual pages for mdocml-1.10.0
  gzip: can't stat: /home/holo/aaa/man/man1/mandoc.1: No such file or directory
  gzip: can't stat: /home/holo/aaa/man/man7/man.7: No such file or directory
  gzip: can't stat: /home/holo/aaa/man/man7/mdoc.7: No such file or directory
  gzip: can't stat: /home/holo/aaa/man/man7/roff.7: No such file or directory
  gzip: can't stat: /home/holo/aaa/man/man7/mandoc_char.7: No such file or directory

  $ find -s /usr/local \! -type d
  /usr/local/bin/mandoc
  /usr/local/man/man1/mandoc.1
  /usr/local/man/man7/man.7
  /usr/local/man/man7/mandoc_char.7
  /usr/local/man/man7/mdoc.7
  /usr/local/man/man7/roff.7
  /usr/local/share/examples/mandoc/example.style.css
Comment 1 Edwin Groothuis freebsd_committer 2010-06-11 21:10:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->uqs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-06-13 23:26:43 UTC
uqs         2010-06-13 22:26:29 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    textproc/mdocml      Makefile distinfo 
  Log:
  - Update to 1.10.1
  - Fix PREFIX regression introduced in last update [1]
  
  PR:             ports/147797 [1]
  Submitted by:   Anonymous <swell.k@gmail.com> [1]
  
  Revision  Changes    Path
  1.17      +4 -1      ports/textproc/mdocml/Makefile
  1.16      +3 -3      ports/textproc/mdocml/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ulrich Spörlein freebsd_committer 2010-06-14 09:27:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!